Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Class WriterController

    java.lang.Object
      kieker.monitoring.core.controller.AbstractController
          kieker.monitoring.core.controller.WriterController

All Implemented Interfaces:
  IMonitoringRecordReceiver, IWriterController

    public final class WriterController

extends AbstractController
implements IWriterController

Since:
  1.3
Author:
  Andre van Hoorn, Matthias Rohr, Jan Waller, Robert von Massow

Constructor Summary
`WriterController(Configuration configuration)` Creates a new instance of this class using the given parameters.

Method Summary
`long` | `getNumberOfInserts()` Shows how many inserts have been performed since last restart of the execution environment.
`boolean` | `newMonitoringRecord(IMonitoringRecord record)` Called for each new record.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriterController

    public WriterController(Configuration configuration)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for the controller.

Method Detail

### toString

    public final String toString()

  Specified by:
    `toString` in class `AbstractController`

### newMonitoringRecord

    public final boolean newMonitoringRecord(IMonitoringRecord record)

  Called for each new record. Notice, that this method should not throw an exception, but indicate an error by the return value false.

  Specified by:
    `newMonitoringRecord` in interface `IMonitoringRecordReceiver`
  Specified by:
    `newMonitoringRecord` in interface `IWriterController`
  Parameters:
    `record` - the record.
  Returns:
    true on success; false in case of an error.

### getNumberOfInserts

    public final long getNumberOfInserts()

  Shows how many inserts have been performed since last restart of the execution environment.

  Specified by:
    `getNumberOfInserts` in interface `IWriterController`
  Returns:
    long

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net